=== debian/control ===
Source: python-omniorb
Section: python
Priority: optional
Maintainer: Debian CORBA Team <pkg-corba-devel@lists.alioth.debian.org>
Uploaders: Floris Bruynooghe <flub@devork.be>, Thomas Girard <thomas.g.girard@free.fr>
Build-Depends: debhelper (>= 7.0.0), python-all-dev (>= 2.6.6-3~), python-all-dbg, libomniorb4-dev (>= 4.1.5), omniorb-idl (>= 4.1.5), omniidl (>= 4.1.5), autotools-dev
Build-Conflicts: omniidl-python
Standards-Version: 3.9.2
Vcs-Svn: svn://anonscm.debian.org/pkg-corba/trunk/python-omniorb
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-corba/trunk/python-omniorb
Homepage: http://omniorb.sourceforge.net

Package: python-omniorb
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: python-omniorb-omg
Description: Python bindings for omniORB
 omniORB4 is a freely available Common Object Request Broker
 Architecture (CORBA) 2.6 compliant object request broker (ORB)
 implementation. It is based on the IIOP communications
 protocol and should be interoperable with any other
 CORBA 2.6 compliant ORB.
 .
 This is the Debian package of omniORBpy, the Python bindings to the
 omniORB libraries.

Package: python-omniorb-dbg
Priority: extra
Architecture: any
Depends: python-omniorb (= ${binary:Version}), ${python:Depends}, ${misc:Depends}
Recommends: python-dbg
Section: debug
Description: Python bindings for omniORB
 omniORB4 is a freely available Common Object Request Broker
 Architecture (CORBA) 2.6 compliant object request broker (ORB)
 implementation. It is based on the IIOP communications
 protocol and should be interoperable with any other
 CORBA 2.6 compliant ORB.
 .
 This package contains the debug symbols of python-omniorb as well as
 modules for use with python-dbg.

Package: python-omniorb-doc
Architecture: all
Depends: ${misc:Depends}
Section: doc
Description: omniORBpy documentation
 omniORB4 is a freely available Common Object Request Broker
 Architecture (CORBA) 2.6 compliant object request broker (ORB)
 implementation. It is based on the IIOP communications
 protocol and should be interoperable with any other
 CORBA 2.6 compliant ORB.
 .
 This package contains the documentation of omniORBpy, the Python
 bindings to omniORB.  The bindings themselves can be found in the
 python-omniorb package.
 
Package: python-omniorb-omg
Architecture: all
Depends: python-omniorb (>= ${binary:Version}), ${misc:Depends}
Conflicts: python-pyorbit-omg
Description: CORBA OMG standard files for python-omniorb
 omniORB4 is a freely available Common Object Request Broker
 Architecture (CORBA) 2.6 compliant object request broker (ORB)
 implementation. It is based on the IIOP communications
 protocol and should be interoperable with any other
 CORBA 2.6 compliant ORB.
 .
 This package includes the Python files that are necessary to
 fulfil the OMG standard 02-09-07.  It conflicts with
 python-pyorbit-omg since only one package can provide the default
 CORBA bindings.

Package: omniidl-python
Architecture: all
Depends: omniidl, ${python:Depends}, ${misc:Depends}
Recommends: python-omniorb
Description: omniidl backend to compile Python stubs from IDL files
 omniORB4 is a freely available Common Object Request Broker
 Architecture (CORBA) 2.6 compliant object request broker (ORB)
 implementation. It is based on the IIOP communications
 protocol and should be interoperable with any other
 CORBA 2.6 compliant ORB.
 .
 This includes the Python backend for omniidl to compile IDL to
 Python stubs.
