## python-omniorb 3.6

=== debian/changelog ===
python-omniorb (3.6-1) unstable; urgency=low

  [ Floris Bruynooghe ]
  * New upstream release
  * debian/patches/pythonpath: modified, mostly obsolte by new release.
  * debian/patches/dist-packages__init__: removed, applied upstream.
  * debian/control:
     - add ${python:Depends} to python-omniorb-omg's Depends' line,
       thanks Jakub Wilk (Closes: #642465).
     - add ${shlibs:Depends} to python-omniorb-dbg
  * debian/rules: add build-arch and build-indep targets.

  [ Thomas Girard ]
  * debian/control: Add DM-Upload-Allowed: yes.

 -- Thomas Girard <thomas.g.girard@free.fr>  Mon, 28 Nov 2011 22:53:15 +0100
