=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Debian CORBA Team <pkg-corba-devel@lists.alioth.debian.org>
 Uploaders: Floris Bruynooghe <flub@devork.be>, Thomas Girard <thomas.g.girard@free.fr>
+DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.0), python-all-dev (>= 2.6.6-3~), python-all-dbg, libomniorb4-dev (>= 4.1.5), omniorb-idl (>= 4.1.5), omniidl (>= 4.1.5), autotools-dev
 Build-Conflicts: omniidl-python
 Standards-Version: 3.9.2
@@ -27,7 +28,7 @@
 Package: python-omniorb-dbg
 Priority: extra
 Architecture: any
-Depends: python-omniorb (= ${binary:Version}), ${python:Depends}, ${misc:Depends}
+Depends: python-omniorb (= ${binary:Version}), ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Recommends: python-dbg
 Section: debug
 Description: Python bindings for omniORB
@@ -57,7 +58,7 @@
  
 Package: python-omniorb-omg
 Architecture: all
-Depends: python-omniorb (>= ${binary:Version}), ${misc:Depends}
+Depends: python-omniorb (>= ${binary:Version}), ${python:Depends}, ${misc:Depends}
 Conflicts: python-pyorbit-omg
 Description: CORBA OMG standard files for python-omniorb
  omniORB4 is a freely available Common Object Request Broker
