=== debian/rules ===
--- 
+++ 
@@ -47,7 +47,9 @@
 	-mkdir build-dbg-$*
 	cd build-dbg-$* && $(CONFIGURE) PYTHON=/usr/bin/python$*-dbg
 
-build: build-stamp
+build: build-arch build-indep
+build-arch:	build-stamp
+build-indep: build-stamp
 build-stamp: $(PYVERS:%=build-stamp-%) $(PYVERS:%=build-dbg-stamp-%)
 	touch $@
