## python-omniorb 4.2.2

=== debian/changelog ===
python-omniorb (4.2.2-0.2build4) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:23:16 +0100

python-omniorb (4.2.2-0.2build3) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 18:11:10 +0000

python-omniorb (4.2.2-0.2build2) disco; urgency=medium

  * No-change rebuild to build for python3.7 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Oct 2018 18:16:53 +0000

python-omniorb (4.2.2-0.2build1) cosmic; urgency=medium

  * No-change rebuild to build for python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jun 2018 06:55:00 +0000

python-omniorb (4.2.2-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 04 Jun 2018 19:36:04 +0200

python-omniorb (4.2.2-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream version.
  * Bump standards and debhelper versions.

 -- Matthias Klose <doko@debian.org>  Wed, 07 Feb 2018 19:52:41 +0100
