=== debian/rules ===
--- 
+++ 
@@ -70,6 +70,7 @@
 	-rm -f *-stamp
 	find . -name "*.pyc" -delete
 	-rm bin/scripts/config.guess bin/scripts/config.sub
+	rm -rf debian/tmp-dbg
 	dh_clean
 
 install: build
@@ -78,11 +79,21 @@
 	dh_prep
 	set -e; \
 	for v in $(PYVERS); do \
-	  $(MAKE) -C build-dbg-$$v install DESTDIR=$(CURDIR)/debian/tmp; \
+	  echo "================ $$v ==================="; \
+	  $(MAKE) -C build-dbg-$$v install DESTDIR=$(CURDIR)/debian/tmp-dbg; \
+	  echo "================ $$v ==================="; \
 	  $(MAKE) -C build-$$v install DESTDIR=$(CURDIR)/debian/tmp; \
 	done
 	find . -name "*.pyc" -exec rm {} \;
-	dh_install --sourcedir=debian/tmp --list-missing
+	find debian/tmp* -name '_omni*.so*'
+	for i in $$(find debian/tmp-dbg -name '_omni*._d.so*'); do \
+	  echo "Renaming $$i ..."; \
+	  dst=$$(echo $$i | sed 's,tmp-dbg,tmp,;s/\._d\.so/_d.so/'); \
+	  mv $$i $$dst; \
+	done
+	find debian/tmp -name '_omni*.so*'
+	dh_install --sourcedir=debian/tmp
+	dh_missing --list-missing
 
 # Build architecture-independent files here.
 binary-indep: build install
